Index: libvirt.c
===================================================================
RCS file: /data/cvs/libvirt/src/libvirt.c,v
retrieving revision 1.127
diff -u -p -r1.127 libvirt.c
--- libvirt.c	11 Mar 2008 16:01:23 -0000	1.127
+++ libvirt.c	13 Mar 2008 08:18:37 -0000
@@ -2447,6 +2447,10 @@ virDomainSetSchedulerParameters(virDomai
         virLibDomainError(NULL, VIR_ERR_INVALID_DOMAIN, __FUNCTION__);
         return -1;
     }
+    if (domain->conn->flags & VIR_CONNECT_RO) {
+        virLibDomainError(domain, VIR_ERR_OPERATION_DENIED, __FUNCTION__);
+        return -1;
+    }
     conn = domain->conn;
 
     if (conn->driver->domainSetSchedulerParameters)
